package com.qmth.themis.business.bean.exam;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("二维码上传作答参数")
public class QrUploadParamBean {

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("考试记录id")
	private Long recordId;
	
	@ApiModelProperty("大题号")
	private Integer mainNumber;

	@ApiModelProperty("小题号")
	private Integer subNumber;
	
	@ApiModelProperty("套题子题序号")
	private Integer subIndex;
	
	
	@ApiModelProperty("题号")
	private String questionNumber;
	

	public Long getRecordId() {
		return recordId;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public Integer getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}

	public Integer getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Integer subIndex) {
		this.subIndex = subIndex;
	}

	public String getQuestionNumber() {
		return questionNumber;
	}

	public void setQuestionNumber(String questionNumber) {
		this.questionNumber = questionNumber;
	}
	

	
}
